package com.template.service.impl;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.template.domain.MessageTemplateType;
import com.template.mapper.MessageTemplateTypeMapper;
import com.template.service.MessageTemplateTypeService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * @Author：liuxinyue
 * @Package：com.sheep.message.service.impl
 * @Project：cloud-server-c
 * @name：MessageTemplateTypeServiceImpl
 * @Date：2024/9/19 14:34
 */
@Service
public class MessageTemplateTypeServiceImpl  implements MessageTemplateTypeService{

    @Autowired
    private MessageTemplateTypeMapper messageTemplateTypeMapper;


    @Override
    public Integer addMessageType(MessageTemplateType messageTemplateType) {
        return messageTemplateTypeMapper.addMessageType(messageTemplateType);
    }

    @Override
    public List<MessageTemplateType> messageTemplateTypeList() {
        return messageTemplateTypeMapper.messageTemplateTypeList();
    }

    @Override
    public List<MessageTemplateType> findvehicleFoundationData(Integer templatedId, String code) {
        return messageTemplateTypeMapper.findvehicleFoundationData(templatedId,code);
    }

    @Override
    public List<MessageTemplateType> findvehicleData(Integer templatedId, String code) {
        return messageTemplateTypeMapper.findvehicleData(templatedId,code);
    }

    @Override
    public List<MessageTemplateType> finddeviceStatusData(Integer templatedId, String code) {
        return messageTemplateTypeMapper.finddeviceStatusData(templatedId,code);
    }

    @Override
    public List<MessageTemplateType> findMessageByTemplateName(Integer templatedId) {
        return messageTemplateTypeMapper.findMessageByTemplateName(templatedId);
    }
}
